POST
Transfer Voucher Query
Query and download the electronic voucher for a successful transfer.
Request
merchantNoMerchant number assigned by Onerway. Retrieve it from the merchant portal or onboarding material after your sandbox or production account is created.
Example:
801129requestIdCondition: Required when
Merchant request ID used to look up the voucher.payoutId is not provided.payoutIdCondition: Required when
Onerway payout ID used to look up the voucher.requestId is not provided.signRequest signature string. Generate it according to the Transfer request-signing rules with your merchant private key.
curl -X POST 'https://sandbox-api.onerway.com/payout/api/v1/txn/queryVoucher' \
-H 'Content-Type: application/json' \
--data-raw '{
"merchantNo": "801129",
"payoutId": "1984136974445449216",
"sign": "{{SIGN}}"
}'Response
respCodeResponse code returned by Onerway.
respMsgResponse message returned by Onerway.
data{ requestId, payoutId, ... }Voucher download result.
{
"respCode": "20000",
"respMsg": null,
"data": {
"requestId": "CYPW20251031055450",
"payoutId": "1984136974445449216",
"voucherUrl": "https://example.com/vouchers/1984136974445449216.pdf"
}
}No error responses are documented for this endpoint.